# $Id$
# Authority: dries
# Upstream: Mark Summerfield <summer$qtrac,eu>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Lingua-EN-NameCase

Summary: Perl module to fix the case of people's names
Name: perl-Lingua-EN-NameCase
Version: 1.14
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Lingua-EN-NameCase/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org//CPAN/authors/id/S/SU/SUMMER/Lingua-EN-NameCase-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Perl module to fix the case of people's names.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/Lingua::EN::NameCase*
%{perl_vendorlib}/Lingua/EN/NameCase.pm
%dir %{perl_vendorlib}/Lingua/EN/

%changelog
* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 1.14-1 - 5353/dries
- Initial package.
